#
# spec file for package perl-Number-Phone
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Number-Phone
Version:        3.4000
Release:        1.1
%define cpan_name Number-Phone
Summary:        Base Class for Number::Phone::* Modules
License:        This software is free-as-in-speech software, and may be used, distributed, and modified under the terms of either the GNU General Public Licence version 2 or the Artistic Licence. It's up to you which one you use. The full text of the licences can be found in the files GPL2.txt and ARTISTIC.txt, respectively. Some files are under the Apache licence, a copy of which can be found in the file Apache-2.0.txt.
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Number-Phone/
Source0:        https://cpan.metacpan.org/authors/id/D/DC/DCANTRELL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBM::Deep) >= 2.0008
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::utf8)
Requires:       perl(DBM::Deep) >= 2.0008
Requires:       perl(Test::More) >= 0.96
Requires:       perl(Test::utf8)
%{perl_requires}

%description
base class for Number::Phone::* modules

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Apache-2.0.txt CHANGELOG GPL2.txt NOTES README TODO
%license ARTISTIC.txt

%changelog
* Wed Mar 15 2017 coolo@suse.com
- updated to 3.4000
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2017-03-14      3.4000  Changed Kosovo's placeholder country-code from KOS to XK;
    +383 (Kosovo) is now a special-case for validation
    (see https://github.com/DrHyde/perl-modules-Number-Phone/issues/66);
    Data updates
* Wed Dec  7 2016 coolo@suse.com
- updated to 3.3000
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2016-12-06      3.3000  Implemented is_drama
    (see https://github.com/DrHyde/perl-modules-Number-Phone/pull/61);
    NANP modules now know about is_tollfree, is_specialrate and
    is_personal;
    Number::Phone::Country will now warn that exporting is deprecated;
    Stubs and dial_to are no longer experimental;
    Minor doco improvements, including some from the Debian project
    (see https://github.com/DrHyde/perl-modules-Number-Phone/issues/60);
    Minor coverage improvements by getting rid of some redundant
    code paths;
    More comprehensive testing of stubs, and resulting bug-fixes for
    territories that appear as part of another's number plan, such
    as enormous Kazakhstan and tiny Tristan da Cunha;
* Thu Sep  8 2016 coolo@suse.com
- updated to 3.2001
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2016-09-07      3.2001  Data updates
* Sun Jun 12 2016 coolo@suse.com
- updated to 3.2000
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2016-06-05      3.2000  Bump version number because rpm is stupid and thinks
    3.1 < 3.0014;
    Recognize Isle of Man (IM) free/special-rate
    numbers;
    Data updates
* Tue Mar  8 2016 coolo@suse.com
- updated to 3.1
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2016-03-04      3.1     Added the format_using() method and the ability to
    use third-party formatters, thanks to Michael
    Schout for the suggestion;
    Data updates
* Wed Dec  9 2015 coolo@suse.com
- updated to 3.0014
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2015-12-08      3.0014  Deprecated APIs of being able to call most methods as
    class methods or functions instead of object methods
    have now been deleted;
    Remove unnecessary N::P::NANP->country method - the
    implementation in the superclass is sufficient
* Sat Nov 14 2015 coolo@suse.com
- updated to 3.0013
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2015-11-04      3.0013  Fix another bug in the tests which threw up
    misleading failures if a country-specific subclass
    was installed
  2015-10-26      3.0012  Updated dialing prefixes in N::P::Country
    from Michael Gray;
    Fix broken code for is_specialrate in stubs,
    which previously always returned undef (ie
    unknown) even when libphonenumber knew it was
    eg premium rate (bug found by Gerhard Poul's
    PR 46);
    +44 3 numbers have is_specialrate set;
    Fix bug where Number::Phone::Country would get
    re-set to 'UK' mode instead of the ISO-ly
    correct 'GB' mode;
    Data updates.
* Wed Sep 23 2015 coolo@suse.com
- updated to 3.0011
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2015-09-09      3.0011  Data updates
* Fri Jul 24 2015 coolo@suse.com
- updated to 3.0010
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2015-07-20      3.0010  Fix a minor bug in the tests which were throiwing up
    misleading failures if a country-specific subclass
    was installed
* Sun Jul 19 2015 coolo@suse.com
- updated to 3.0009
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2015-07-18      3.0009  Data updates;
    Heard Island has nothing to do with the Marshall Islands!
    Don't create stub objects when given just a country code
    (see https://github.com/DrHyde/perl-modules-Number-Phone/issues/40)
* Sun Jun 21 2015 coolo@suse.com
- updated to 3.0008
  see /usr/share/doc/packages/perl-Number-Phone/CHANGELOG
  2015-06-05      3.0008  Turn on the utf-8 flag on areacode names;
    Data updates
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
